#
# spec file for package perl-Mojolicious-Plugin-NYTProf
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Mojolicious-Plugin-NYTProf
Version:        0.21
Release:        bp153.1.12
%define cpan_name Mojolicious-Plugin-NYTProf
Summary:        Auto handling of Devel::NYTProf in your Mojolicious app
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/L/LE/LEEJO/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Algorithm::Combinatorics) >= 0.27
BuildRequires:  perl(Devel::NYTProf) >= 5.07
BuildRequires:  perl(File::Spec::Functions) >= 3.30
BuildRequires:  perl(File::Temp) >= 0.22
BuildRequires:  perl(File::Which) >= 1.09
BuildRequires:  perl(Mojolicious) >= 6.00
BuildRequires:  perl(Test::Exception) >= 0.320000
BuildRequires:  perl(Time::HiRes) >= 1.9719
Requires:       perl(Devel::NYTProf) >= 5.07
Requires:       perl(File::Spec::Functions) >= 3.30
Requires:       perl(File::Temp) >= 0.22
Requires:       perl(File::Which) >= 1.09
Requires:       perl(Mojolicious) >= 6.00
Requires:       perl(Time::HiRes) >= 1.9719
%{perl_requires}

%description
This plugin enables Mojolicious to automatically generate Devel::NYTProf
profiles and routes for your app, it has been inspired by
Dancer::Plugin::NYTProf

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
if [ -f %{buildroot}/%{perl_vendorlib}/Mojolicious/Plugin/README.pod ]; then
mv %{buildroot}/%{perl_vendorlib}/Mojolicious/Plugin/README{,-NYTProf}.pod
fi
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.md

%changelog
* Fri Oct 12 2018 Dirk Stoecker <opensuse@dstoecker.de>
- Update to 0.21
  only rename pod file when it is installed
* Wed May 30 2018 marius.kittler@suse.com
- Rename README.pod to README-NYTProf.pod to prevent file conflict
  with perl-Mojolicious-Plugin-RenderFile
* Fri May 25 2018 marius.kittler@suse.com
- Add changes files
